% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/variant_classification.R
\name{assign_amp_asco_tiers}
\alias{assign_amp_asco_tiers}
\title{Function that assigns tier classifications to somatic CNA segments and
SNVs/InDels, based on the presence of biomarker evidence found in
the variant set}
\usage{
assign_amp_asco_tiers(
  vartype = "snv_indel",
  primary_site = "Any",
  variants_df = NULL,
  biomarker_items = NULL
)
}
\arguments{
\item{vartype}{variant type ('snv_indel' or 'cna')}

\item{primary_site}{primary tumor site}

\item{variants_df}{data frame with variants (SNVs/InDels or CNAs)}

\item{biomarker_items}{data frame with biomarker evidence items}
}
\description{
Function that assigns tier classifications to somatic CNA segments and
SNVs/InDels, based on the presence of biomarker evidence found in
the variant set
}
